Package org.eclipse.m2m.atl.adt.ui.outline

## Class AtlContentProvider

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.outline.AtlContentProvider

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IContentProvider`, `org.eclipse.jface.viewers.IStructuredContentProvider`, `org.eclipse.jface.viewers.ITreeContentProvider`

    public class AtlContentProvider
    extends java.lang.Object
    implements org.eclipse.jface.viewers.ITreeContentProvider

### Field Summary

Fields
`protected org.eclipse.jface.viewers.TreeViewer` `viewer`

### Constructor Summary

Constructors
`AtlContentProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`java.lang.Object[]` `getChildren​(java.lang.Object parentElement)`
`java.lang.Object[]` `getElements​(java.lang.Object inputElement)`
`java.lang.Object` `getParent​(java.lang.Object element)`
`boolean` `hasChildren​(java.lang.Object element)`
`void` `inputChanged​(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### viewer

    protected org.eclipse.jface.viewers.TreeViewer viewer

### Constructor Detail

#### AtlContentProvider

    public AtlContentProvider()

### Method Detail

#### getChildren

    public java.lang.Object[] getChildren​(java.lang.Object parentElement)

Specified by:
  `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
See Also:
  `ITreeContentProvider.getChildren(java.lang.Object)`

#### getParent

    public java.lang.Object getParent​(java.lang.Object element)

Specified by:
  `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
See Also:
  `ITreeContentProvider.getParent(java.lang.Object)`

#### hasChildren

    public boolean hasChildren​(java.lang.Object element)

Specified by:
  `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
See Also:
  `ITreeContentProvider.hasChildren(java.lang.Object)`

#### getElements

    public java.lang.Object[] getElements​(java.lang.Object inputElement)

Specified by:
  `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
Specified by:
  `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
See Also:
  `IStructuredContentProvider.getElements(java.lang.Object)`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
See Also:
  `IContentProvider.dispose()`

#### inputChanged

    public void inputChanged​(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

Specified by:
  `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
See Also:
  `IContentProvider.inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`